Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::LanguageModelNgramInfo Struct Reference

`#include <language_model.h>`

List of all members.

## Public Member Functions

| LanguageModelNgramInfo (const char *c, int l, bool p, float np, float nc)

## Public Attributes

STRING | context
int | context_unichar_step_len
bool | pruned
float | ngram_prob
float | ngram_cost

## Detailed Description

Definition at line 117 of file language_model.h.

## Constructor & Destructor Documentation

tesseract::LanguageModelNgramInfo::LanguageModelNgramInfo | ( | const char * | c,
|  | int | l,
|  | bool | p,
|  | float | np,
|  | float | nc
| ) |  |

inline

Definition at line 118 of file language_model.h.

: context(c), context_unichar_step_len(l), pruned(p), ngram_prob(np),
ngram_cost(nc) {}

## Member Data Documentation

STRING tesseract::LanguageModelNgramInfo::context

Definition at line 121 of file language_model.h.

int tesseract::LanguageModelNgramInfo::context_unichar_step_len

Definition at line 124 of file language_model.h.

float tesseract::LanguageModelNgramInfo::ngram_cost

Definition at line 133 of file language_model.h.

float tesseract::LanguageModelNgramInfo::ngram_prob

Definition at line 131 of file language_model.h.

bool tesseract::LanguageModelNgramInfo::pruned

Definition at line 129 of file language_model.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/wordrec/language_model.h